> ## Documentation Index
> Fetch the complete documentation index at: https://docs.x.com/llms.txt
> Use this file to discover all available pages before exploring further.

# 복구 및 이중화

> 이 페이지에서는 Powerstream 전용 복구 및 이중화 기능을 다룹니다. powerstream을 다루는 X API v2 표준 계층에 대한 참고 자료입니다.

이 페이지에서는 Powerstream 전용 복구 및 이중화 기능을 다룹니다. 모든 스트리밍 엔드포인트에 대한 복구 및 이중화에 관한 포괄적 지침은 [복구 및 이중화 기본 가이드](/x-api/fundamentals/recovery-and-redundancy)를 참조하세요.

## Powerstream 복구 기능

복구 및 이중화의 핵심 개념은 모든 스트리밍 엔드포인트에 적용됩니다. 기본 가이드에서 다음을 확인하세요:

* 이중 연결
* Backfill 대 Recovery 결정 트리
* 모범 사례

## Backfill

**5분 이하**의 연결 해제에는 `backfillMinutes` 매개변수를 사용합니다:

```bash theme={null}
curl 'https://api.x.com/2/powerstream?backfillMinutes=5' \
  -H "Authorization: Bearer $ACCESS_TOKEN"
```

<Note>
  이전 Post가 먼저 전달됩니다. Post는 **중복 제거되지 않습니다** — 시스템에서 중복을 허용해야 합니다.
</Note>

## Recovery

**5분보다 긴** (최대 24시간) 연결 해제의 경우, `startTime` 및 `endTime` 매개변수를 사용합니다:

| 매개변수        | 유형          | 설명               |
| :---------- | :---------- | :--------------- |
| `startTime` | ISO 8601 날짜 | 복구를 시작할 시간 (UTC) |
| `endTime`   | ISO 8601 날짜 | 복구를 종료할 시간 (UTC) |

```bash theme={null}
curl 'https://api.x.com/2/powerstream?startTime=2022-07-12T15:10:00Z&endTime=2022-07-12T15:20:00Z' \
  -H "Authorization: Bearer $ACCESS_TOKEN"
```

연결되면 Recovery는 지정된 시간대를 다시 스트리밍한 다음 연결을 종료합니다.

***

## 다음 단계

<CardGroup cols={2}>
  <Card title="복구 및 이중화" icon="https://mintcdn.com/x-preview/cfyQtgCdwk8p69aa/icons/xds/icon-shield-keyhole.svg?fit=max&auto=format&n=cfyQtgCdwk8p69aa&q=85&s=a0e05514090c8a6af232297bfb9c4055" href="/x-api/fundamentals/recovery-and-redundancy" width="24" height="24" data-path="icons/xds/icon-shield-keyhole.svg">
    전체 복구 가이드
  </Card>

  <Card title="연결 해제 처리" icon="plug" href="/x-api/fundamentals/handling-disconnections">
    스트리밍 연결 해제 처리
  </Card>

  <Card title="스트리밍 데이터 소비" icon="stream" href="/x-api/fundamentals/consuming-streaming-data">
    견고한 스트리밍 클라이언트 구축
  </Card>
</CardGroup>
